Op Delete
curl --request DELETE \
--url https://api.example.com/v2/{entity}/{project}/ops/{object_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.example.com/v2/{entity}/{project}/ops/{object_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.example.com/v2/{entity}/{project}/ops/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"num_deleted": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Op Delete
Delete an op object. If digests are provided, only those versions are deleted. Otherwise, all versions are deleted.
DELETE
/
v2
/
{entity}
/
{project}
/
ops
/
{object_id}
Op Delete
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
List of digests to delete. If not provided, all digests for the op will be deleted.
Response
Successful Response
Number of op versions deleted from this op
Was this page helpful?
โI